MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025289Open CASCADE[OCCT] OCCT:DRAWpublic2014-09-29 22:192014-11-11 13:02
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025289: Draw Harness, ViewerTest - support RGB color definition as input for vsetcolor and vaspects commands
DescriptionCurrent implementation of command vaspects supports only named colors which restricts it's usage.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
has duplicate 0025197closedbugmaster Draw Harness - extend commands vsetcolor / vaspects to accept color in RGB form 

-  Notes
(0032335)
git (administrator)
2014-09-29 22:22

Branch CR25289 has been created by kgv.

SHA-1: 2d377ac92cc38412d31ce80c6b033e7f70f95dea


Detailed log of new commits:

Author: kgv
Date: Mon Sep 29 22:22:18 2014 +0300

    0025289: Draw Harness, ViewerTest - support RGB color definition as input for vsetcolor and vaspects commands
(0032336)
kgv (developer)
2014-09-29 22:23

Patch is ready for review in branch CR25289.
(0032337)
abv (manager)
2014-09-29 22:40

No remarks, please test
(0032513)
apv (tester)
2014-10-01 16:20

Dear BugMaster,

Branch CR25289 (and products from GIT master) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 2d377ac92cc38412d31ce80c6b033e7f70f95dea

Number of compiler warnings:
occt component:
   Linux: 15 (15 on master)
   Windows: 0 (0 on master)
   MacOS: 196 (196 on master)
products component :
   Linux: 11 (11 on master)
   Windows: 3 (3 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 397706492 / 397680656
Total CPU difference: 50583.92000000002 / 46596.30000000006

Testing on Windows:
Total MEMORY difference: 245918372 / 246089068
Total CPU difference: 30964.671875 / 34530.515625
(0033464)
git (administrator)
2014-10-21 16:44

Branch CR25289 has been deleted by inv.

SHA-1: 2d377ac92cc38412d31ce80c6b033e7f70f95dea

- Related Changesets
occt: master 8316c618
Timestamp: 2014-09-29 19:22:18
Author: kgv
Committer: bugmaster
Details ] Diff ]
0025289: Draw Harness, ViewerTest - support RGB color definition as input for vsetcolor and vaspects commands
mod - src/Quantity/Quantity_Color.cdl Diff ] File ]
mod - src/Quantity/Quantity_Color.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-09-29 22:19 kgv New Issue
2014-09-29 22:19 kgv Assigned To => kgv
2014-09-29 22:22 git Note Added: 0032335
2014-09-29 22:23 kgv Note Added: 0032336
2014-09-29 22:23 kgv Assigned To kgv => abv
2014-09-29 22:23 kgv Status new => resolved
2014-09-29 22:40 abv Note Added: 0032337
2014-09-29 22:40 abv Assigned To abv => bugmaster
2014-09-29 22:40 abv Status resolved => reviewed
2014-09-30 18:25 apv Assigned To bugmaster => apv
2014-10-01 15:15 apv Test case number => Not needed
2014-10-01 16:20 apv Note Added: 0032513
2014-10-01 16:20 apv Assigned To apv => bugmaster
2014-10-01 16:20 apv Status reviewed => tested
2014-10-03 14:07 bugmaster Changeset attached => occt master 8316c618
2014-10-03 14:07 bugmaster Status tested => verified
2014-10-03 14:07 bugmaster Resolution open => fixed
2014-10-17 08:52 kgv Relationship added has duplicate 0025197
2014-10-21 16:44 git Note Added: 0033464
2014-11-11 12:43 aiv Fixed in Version => 6.8.0
2014-11-11 13:02 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker